//
//  ClickView.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 10/14/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "ClickView.h"

@implementation ClickView

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

- (void)awakeFromNib {
    [super awakeFromNib];
    UITapGestureRecognizer *gesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(onTap:)];
    [self addGestureRecognizer:gesture];
}

- (void)onTap:(id)sender {
    UIView *control = [self.subviews objectAtIndex:3];
    if([control isKindOfClass:[UITextField class]]) {
        [(UITextField *)control becomeFirstResponder];
    }
    else if([control isKindOfClass:[UIButton class]]) {
        [(UIButton *)control sendActionsForControlEvents:UIControlEventTouchUpInside];
    }
}

@end
