//
//  MoversTableViewCell.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 6/27/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "MoversTableViewCell.h"

@interface MoversTableViewCell ()

@property (weak, nonatomic) IBOutlet UIImageView *imageCompany;
@property (weak, nonatomic) IBOutlet UILabel *labelCompany;
@property (weak, nonatomic) IBOutlet UIImageView *imageRating;
@property (weak, nonatomic) IBOutlet UILabel *labelRating;

@end

@implementation MoversTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

- (void)setImage:(UIImage *)image background:(UIColor *)background {
    self.imageCompany.image = image;
    self.imageCompany.backgroundColor = background;
}

- (void)setData:(NSDictionary *)data {
    self.labelCompany.text = (NSString *)[data objectForKey:@"name"];
    self.imageRating.image = [UIImage imageNamed:[NSString stringWithFormat:@"rating%@", (NSString *)[data objectForKey:@"dRating"]]];
    self.labelRating.text = [NSString stringWithFormat:@"%@ Review%@", (NSString *)[data objectForKey:@"total_reviews"], ((NSString *)[data objectForKey:@"total_reviews"]).intValue != 1 ? @"s" : @""];
}

@end
