//
//  QuoteSentViewController.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 10/1/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "QuoteSentViewController.h"
#import "Utils.h"

@interface QuoteSentViewController ()

@property (weak, nonatomic) IBOutlet UILabel *labelTitle;
@property (weak, nonatomic) IBOutlet UILabel *labelText1;
@property (weak, nonatomic) IBOutlet UILabel *labelText2;
@property (weak, nonatomic) IBOutlet UILabel *labelText3;

- (IBAction)onInventory:(id)sender;
- (IBAction)onEmail:(id)sender;
- (IBAction)onHome:(id)sender;

@end

@implementation QuoteSentViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [Utils setText:self.labelTitle text:@"getquotescreen_thankyou-title"];
    [Utils setText:self.labelText1 text:@"getquotescreen_thankyou-heading"];
    [Utils setText:self.labelText2 text:@"getquotescreen_thankyou-description_text_line1"];
    [Utils setText:self.labelText3 text:@"getquotescreen_thankyou-description_text_line2"];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

- (IBAction)onInventory:(id)sender {
    [[UIApplication sharedApplication].keyWindow.rootViewController dismissViewControllerAnimated:YES completion:^{
        [[UIApplication sharedApplication].keyWindow.rootViewController performSegueWithIdentifier:@"inventory" sender:[UIApplication sharedApplication].keyWindow.rootViewController];
    }];
}

- (IBAction)onEmail:(id)sender {
    [[UIApplication sharedApplication].keyWindow.rootViewController dismissViewControllerAnimated:YES completion:^{
        [[UIApplication sharedApplication].keyWindow.rootViewController performSegueWithIdentifier:@"email" sender:[UIApplication sharedApplication].keyWindow.rootViewController];
    }];
}

- (IBAction)onHome:(id)sender {
    [[UIApplication sharedApplication].keyWindow.rootViewController dismissViewControllerAnimated:YES completion:^{

    }];

}

@end
