//
//  RatingMaximumViewController.m
//  MoveAdvisor
//
//  Created by Outsourcing It Services Ltd on 3/7/17.
//  Copyright © 2017 Outsourcing IT Services Ltd. All rights reserved.
//

#import "RatingMaximumViewController.h"
#import "User.h"

@interface RatingMaximumViewController ()

@property (weak, nonatomic) IBOutlet UIView *viewContainer;

- (IBAction)onRating:(id)sender;
- (IBAction)onClose:(id)sender;

@end

@implementation RatingMaximumViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.viewContainer.layer.cornerRadius = 5;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

- (IBAction)onRating:(id)sender {
    User *user = [User getCurrent];
    user.rated = YES;
    [user save];
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:@"https://itunes.apple.com/us/app/id1215040195"]];
    [self.presentingViewController.presentingViewController dismissViewControllerAnimated:YES completion:^{
        
    }];
}

- (IBAction)onClose:(id)sender {
    User *user = [User getCurrent];
    user.launchcount = 0;
    user.launchdate = [NSDate date];
    [user save];
    [self.presentingViewController.presentingViewController dismissViewControllerAnimated:YES completion:^{
        
    }];
}

@end
