//
//  RideImageListViewController.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 8/11/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "RideImageListViewController.h"
#import "RideImageListTableViewCell.h"

@interface RideImageListViewController ()

@property (weak, nonatomic) IBOutlet UIView *viewContainer;

@property (weak, nonatomic) IBOutlet UIImageView *imageTitle;

@property (weak, nonatomic) IBOutlet UILabel *labelTitle;

@property (weak, nonatomic) IBOutlet UITableView *tableList;

- (IBAction)onBack:(id)sender;

@end

@implementation RideImageListViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.viewContainer.layer.cornerRadius = 5;
//    int row = -1;
//    if(self.value != nil) {
//        if([self.list isEqualToString:@"conditions"]) {
//            int row = -1;
//            if([self.value isEqualToString:@"Running"]) {
//                row = 0;
//            }
//            else if([self.value isEqualToString:@"Not running"]) {
//                row = 1;
//            }
//        }
//        else if([self.list isEqualToString:@"methods"]) {
//            int row = -1;
//            if([self.value isEqualToString:@"Open"]) {
//                row = 0;
//            }
//            else if([self.value isEqualToString:@"Enclosed"]) {
//                row = 1;
//            }
//        }
    self.imageTitle.image = [UIImage imageNamed:self.image];
    self.labelTitle.text = [NSString stringWithFormat:@"Select %@", self.type];
        if(self.value != nil) {
            for(int i=0; i<self.list.count; i++) {
                if([[[self.list objectAtIndex:i] objectForKey:@"name"] isEqualToString:[self.value objectForKey:@"name"]]) {
                    [self.tableList selectRowAtIndexPath:[NSIndexPath indexPathForRow:i inSection:0] animated:NO scrollPosition:UITableViewScrollPositionTop];
                }
            }
        }
    //}
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

- (IBAction)onBack:(id)sender {
    [self dismissViewControllerAnimated:YES completion:^{
        
    }];
}

#pragma mark - UITableViewDataSource

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.list.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    RideImageListTableViewCell *cell = (RideImageListTableViewCell *)[tableView dequeueReusableCellWithIdentifier:@"cell"];
    [cell setImage:[[self.list objectAtIndex:indexPath.row] objectForKey:@"image"] text:[[self.list objectAtIndex:indexPath.row] objectForKey:@"name"]];
//    if([self.list isEqualToString:@"conditions"]) {
//        switch(indexPath.row) {
//            case 0:
//                [cell setImage:@"condition-running" text:@"Running"];
//                break;
//            case 1:
//                [cell setImage:@"condition-not-running" text:@"Not Running"];
//                break;
//        }
//    }
//    else if([self.list isEqualToString:@"methods"]) {
//        switch(indexPath.row) {
//            case 0:
//                [cell setImage:@"open-shipping" text:@"Open"];
//                break;
//            case 1:
//                [cell setImage:@"enclosed-shipping" text:@"Enclosed"];
//                break;
//        }
//    }
    return cell;
}

#pragma mark - UITableViewDelegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
//    NSString *value = nil;
//    if([self.list isEqualToString:@"conditions"]) {
//        switch(indexPath.row) {
//            case 0:
//                value = @"Running";
//                break;
//            case 1:
//                value = @"Not Running";
//                break;
//        }
//    }
//    else if([self.list isEqualToString:@"methods"]) {
//        switch(indexPath.row) {
//            case 0:
//                value = @"Open";
//                break;
//            case 1:
//                value = @"Enclosed";
//                break;
//        }
//    }
    if(self.close != nil) {
        self.close([self.list objectAtIndex:indexPath.row]);
    }
    [self dismissViewControllerAnimated:YES completion:^{
        
    }];
}

@end
