//
//  RideListTableViewCell.m
//  RideShipper
//
//  Created by Outsourcing It Services Ltd on 2/22/17.
//  Copyright © 2017 Outsourcing IT Services Ltd. All rights reserved.
//

#import "RideListTableViewCell.h"
#import "Utils.h"

@interface RideListTableViewCell ()

@property (weak, nonatomic) IBOutlet UILabel *labelName;

@end

@implementation RideListTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
    
    // Configure the view for the selected state
    if(selected) {
        self.contentView.backgroundColor = [Utils getColor:COLOR_LIGHT_GREEN];
    }
    else {
        self.contentView.backgroundColor = [UIColor whiteColor];
    }
}

- (void)setText:(NSString *)text {
    self.labelName.text = text;
}

@end
