//
//  URLRequests.h
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 9/30/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface URLRequests : NSObject

+ (void)getDistanceFrom:(NSString *)from to:(NSString *)to receive:(void (^)(NSString *distance))receive;
+ (void)sendQuoteEmail:(NSString *)message emails:(NSArray *)emails inventory:(BOOL)inventory receive:(void (^)(BOOL success, NSString *error))receive;
+ (void)sendQuote:(void (^)(BOOL success, NSString *error))receive;
+ (void)sendEmail:(NSDictionary *)data to:(NSString *)to receive:(void (^)(BOOL success, NSString *error))receive;
+ (void)getMakes:(void (^)(NSArray *makes))receive;
+ (void)getModels:(NSString *)make receive:(void (^)(NSArray *models))receive;
+ (void)getTexts;

@end
