//
//  User.h
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 8/30/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface User : NSObject

@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *zip;
@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *state;
@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *city;
@property (strong, nonatomic) NSDictionary<NSString *, NSNumber *> *date;
@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *make;
@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *model;
@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *condition;
@property (strong, nonatomic) NSDictionary<NSString *, NSString *> *method;
@property (strong, nonatomic) NSString *name;
@property (strong, nonatomic) NSString *phone;
@property (strong, nonatomic) NSString *email;
@property (strong, nonatomic) NSString *company;
@property (strong, nonatomic) NSString *distance;
@property (assign, nonatomic) BOOL move;
@property (assign, nonatomic) int launchcount;
@property (strong, nonatomic) NSDate *launchdate;
@property (assign, nonatomic) BOOL rated;

+ (instancetype)getCurrent;
- (void)save;

@end
