//
//  Utils.h
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 5/27/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

#define COLOR_GREEN 0xFF039147
#define COLOR_LIGHT_GREEN 0xFF0bCA59
#define COLOR_RED 0xFFD90000
#define COLOR_LIGHT_GRAY 0xFFCCCCCC

@interface Utils : NSObject

+ (NSManagedObjectContext *)getContext;
+ (void)saveContext;
+ (UIColor *)getColor:(NSUInteger)color;
+ (NSString *)getString:(NSDictionary *)data key:(NSString *)key;
+ (NSNumber *)getNumber:(NSDictionary *)data key:(NSString *)key;
+ (NSArray *)getArray:(NSDictionary *)data key:(NSString *)key;
+ (NSDictionary *)getDictionary:(NSDictionary *)data key:(NSString *)key;
+ (UIImage *)loadImage:(NSString *)url download:(void (^)(UIImage *image))download;
+ (BOOL)validateName:(NSString *)name;
+ (BOOL)validatePhone:(NSString *)phone;
+ (BOOL)validateEmail:(NSString *)email;
+ (BOOL)validateEmails:(NSString *)content;
+ (NSString *)getText:(NSString *)text;
+ (void)setText:(UIView *)control text:(NSString *)text;

@end
