//
//  HomeButtonsTableViewCell.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 6/27/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "HomeButtonsTableViewCell.h"
#import "Utils.h"
#import "User.h"

@interface HomeButtonsTableViewCell ()

@property (weak, nonatomic) IBOutlet UIImageView *imageBackground;
@property (weak, nonatomic) IBOutlet UIButton *buttonMovers;
@property (weak, nonatomic) IBOutlet UIButton *buttonQuote;
@property (weak, nonatomic) IBOutlet UILabel *labelMore;

//@property (strong, nonatomic) NSArray<NSString *> *images;
//@property (strong, nonatomic) NSMutableArray<CAAnimationGroup *> *transitions;
//@property (strong, nonatomic) NSArray<NSDictionary<NSString *, NSNumber *> *> *rates;
//@property (assign, nonatomic) int current;

@end

@implementation HomeButtonsTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
//    self.images = @[@"init1.jpg", @"init2.jpg", @"init3.jpg", @"init4.jpg", @"init5.jpg"];
//
//    self.rates = @[
//                   @{@"translate": @0.2f, @"scale": @1.15f},
//                   @{@"translate": @-0.2f, @"scale": @1.15f},
//                   @{@"translate": @0.2f, @"scale": @1.0f},
//                   @{@"translate": @-0.2f, @"scale": @1.0f},
//                   @{@"translate": @0.0f, @"scale": @-1.15f}
//                   ];
//    
//    int durations[] = {7, 7, 4, 4, 7};
//    
//    self.transitions = [[NSMutableArray<CAAnimationGroup *> alloc] init];
//    for(int i=0; i<self.images.count; i++) {
//        CABasicAnimation *position = [[CABasicAnimation alloc] init];
//        position.keyPath = @"position";
//        CABasicAnimation *bounds = [[CABasicAnimation alloc] init];
//        bounds.keyPath = @"bounds";
//        CAAnimationGroup *transition = [[CAAnimationGroup alloc] init];
//        transition.animations = @[position, bounds];
//        transition.duration = durations[i];
//        transition.delegate = self;
//        [self.transitions addObject:transition];
//    }
//    
//    self.current = 0;
//    self.imageBackground.image = [UIImage imageNamed:[self.images objectAtIndex:self.current]];
//    [self.imageBackground.layer addAnimation:[self.transitions objectAtIndex:self.current] forKey:@"image"];
    
    User *user = [User getCurrent];
    [self.buttonMovers setTitle:[NSString stringWithFormat:@"Shippers Around %@", [user.zip objectForKey:@"city"]] forState:UIControlStateNormal];

    self.buttonMovers.titleLabel.numberOfLines = 0;
    self.buttonQuote.titleLabel.numberOfLines = 0;
    self.buttonMovers.layer.cornerRadius = 5;
    self.buttonQuote.layer.cornerRadius = 5;
    [Utils setText:self.buttonMovers text:@"home_screen-button_movers"];
    [Utils setText:self.buttonQuote text:@"home_screen-button_quote"];
    [Utils setText:self.labelMore text:@"home_screen-section_label"];
}

- (void)layoutSubviews {
    [super layoutSubviews];

    User *user = [User getCurrent];
    [self.buttonMovers setTitle:[NSString stringWithFormat:@"Shippers Around %@", [user.zip objectForKey:@"city"]] forState:UIControlStateNormal];

//    for(int i=0; i<self.transitions.count; i++) {
//        CABasicAnimation *position = (CABasicAnimation *)[[self.transitions objectAtIndex:i].animations objectAtIndex:0];
//        CABasicAnimation *bounds = (CABasicAnimation *)[[self.transitions objectAtIndex:i].animations objectAtIndex:1];
//        NSDictionary<NSString *, NSNumber *> *rate = [self.rates objectAtIndex:i];
//        CGFloat translate = [rate objectForKey:@"translate"].floatValue;
//        CGFloat scale = [rate objectForKey:@"scale"].floatValue;
//        CGPoint positionFrom;
//        CGPoint positionTo;
//        CGRect boundsFrom;
//        CGRect boundsTo;
//        if(translate > 0) {
//            if(scale > 0) {
//                positionFrom = CGPointMake(self.contentView.bounds.size.width * (0.5f - translate / 2), self.contentView.bounds.size.height / 2);
//            }
//            else {
//                positionFrom = CGPointMake(self.contentView.bounds.size.width * (1.0f + (1.0f + translate) * scale / 2), self.contentView.bounds.size.height / 2);
//            }
//        }
//        else {
//            positionFrom = CGPointMake(self.contentView.bounds.size.width / 2, self.contentView.bounds.size.height / 2);
//        }
//        if(translate < 0) {
//            if(scale > 0) {
//                positionTo = CGPointMake(self.contentView.bounds.size.width * (1.0f - (1.0f - translate) * scale / 2), self.contentView.bounds.size.height / 2);
//            }
//            else {
//                positionTo = CGPointMake(self.contentView.bounds.size.width * (0.5f + translate / 2), self.contentView.bounds.size.height / 2);
//            }
//        }
//        else {
//            positionTo = CGPointMake(self.contentView.bounds.size.width / 2, self.contentView.bounds.size.height / 2);
//        }
//        if(translate > 0) {
//            if(scale > 0) {
//                boundsFrom = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f + translate), self.contentView.bounds.size.height);
//                boundsTo = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f + translate) * scale, self.contentView.bounds.size.height * scale);
//            }
//            else {
//                boundsFrom = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f + translate) * (-scale), self.contentView.bounds.size.height * (-scale));
//                boundsTo = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f + translate), self.contentView.bounds.size.height);
//            }
//        }
//        else {
//            if(scale > 0) {
//                boundsFrom = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f - translate), self.contentView.bounds.size.height);
//                boundsTo = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f - translate) * scale, self.contentView.bounds.size.height * scale);
//            }
//            else {
//                boundsFrom = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f - translate) * (-scale), self.contentView.bounds.size.height * (-scale));
//                boundsTo = CGRectMake(0, 0, self.contentView.bounds.size.width * (1.0f - translate), self.contentView.bounds.size.height);
//            }
//        }
//        position.fromValue = [NSValue valueWithCGPoint:positionFrom];
//        position.toValue = [NSValue valueWithCGPoint:positionTo];
//        bounds.fromValue = [NSValue valueWithCGRect:boundsFrom];
//        bounds.toValue = [NSValue valueWithCGRect:boundsTo];
//    }
//
//    self.imageBackground.image = [UIImage imageNamed:[self.images objectAtIndex:self.current]];
//    [self.imageBackground.layer removeAnimationForKey:@"image"];
//    [self.imageBackground.layer addAnimation:[self.transitions objectAtIndex:self.current] forKey:@"image"];
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

//- (void)animationDidStart:(CAAnimation *)anim {
//    
//}
//
//- (void)animationDidStop:(CAAnimation *)anim finished:(BOOL)flag {
//    if(flag) {
//        self.current++;
//        if(self.current == self.transitions.count) {
//            self.current = 0;
//        }
//        self.imageBackground.image = [UIImage imageNamed:[self.images objectAtIndex:self.current]];
//        [self.imageBackground.layer addAnimation:[self.transitions objectAtIndex:self.current] forKey:@"image"];
//    }
//}

@end
