//
//  HomeTableViewCell.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 6/27/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "HomeTableViewCell.h"
#import "Utils.h"

@interface HomeTableViewCell ()

@property (weak, nonatomic) IBOutlet UIImageView *imageItem;
@property (weak, nonatomic) IBOutlet UILabel *labelText;

@end

@implementation HomeTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

- (void)setHighlighted:(BOOL)highlighted animated:(BOOL)animated {
    [super setHighlighted:highlighted animated:animated];
    if(highlighted) {
        self.contentView.backgroundColor = [Utils getColor:COLOR_GREEN];
    }
    else {
        self.contentView.backgroundColor = [Utils getColor:0xFFFFFFFF];
    }
}

- (void)setImage:(NSString *)image text:(NSString *)text {
    self.imageItem.image = [UIImage imageNamed:[NSString stringWithFormat:@"%@g", image]];
    self.imageItem.highlightedImage = [UIImage imageNamed:[NSString stringWithFormat:@"%@w", image]];
    self.labelText.text = text;
}

@end
