//
//  RideImageListTableViewCell.m
//  MoveAdvisor
//
//  Created by Outsourcing IT Services Ltd. on 8/11/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "RideImageListTableViewCell.h"
#import "Utils.h"

@interface RideImageListTableViewCell ()

@property (weak, nonatomic) IBOutlet UIImageView *imageRide;
@property (weak, nonatomic) IBOutlet UILabel *labelText;

@end

@implementation RideImageListTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
    if(selected) {
        self.contentView.backgroundColor = [Utils getColor:COLOR_LIGHT_GREEN];
    }
    else {
        self.contentView.backgroundColor = [UIColor whiteColor];
    }
}

- (void)setImage:(NSString *)image text:(NSString *)text {
    self.imageRide.image = [UIImage imageNamed:image];
    self.labelText.text = text;
}

@end
